matrix/hr/urls.py
from django.conf.urls import url
from .views import (activate_item, employee_list, employee_ajax, employee_detail,
        employee_create, employee_update, employee_vacations,
        employee_documents, employee_documents_add, employee_documents_update,
        employee_documents_delete, employee_services, employee_services_add,
        employee_services_update, employee_services_delete, item_process, vacation_create,
        agent_list, agent_ajax, agent_detail, agent_create, agent_update, worker_list,
        workers_ajax, worker_detail, worker_update, worker_create, item_list,
        items_ajax, item_detail, item_create, item_update, receipt_list, receipts_ajax,
        receipt_detail, item_process, workers_wizard_ajax, receive_info, download_receipt_PDF,
        item_delete, receipt_delete, workers_wizard_ajax )
from .views import (TechnicianViewSet,BuildingContactViewSet,GearViewSet,
        AvailabilityViewSet,NetworkEquipmentViewSet, usuarios_activos, set_config)

from hr.autocompletes import TechnicianAutocomplete

# API section
from customers.urls import router
router.register(r"technicians", TechnicianViewSet)
router.register(r"building-contacts", BuildingContactViewSet)
router.register(r"gears", GearViewSet)
router.register(r"availabilities", AvailabilityViewSet)
router.register(r"network-equipments", NetworkEquipmentViewSet)

urlpatterns = [
    url(r'^employees/$', employee_list, name='employee-list'),
    url(r'^employees/actives$', usuarios_activos, name='usuarios-activos'),
    url(r'^employees/(?P<pk>\d+)/$', employee_detail, name='employee-detail'),
    url(r'^employees/add/$', employee_create, name='employee-add'),
    url(r'^employees/(?P<pk>\d+)/edit/$', employee_update, name='employee-update'),
    url(r'^employees/(?P<pk>\d+)/documents/$', employee_documents, name='employee-documents'),
    url(r'^employees/(?P<pk>\d+)/documents/add/$', employee_documents_add, name='employee-documents-add'),
    url(r'^employees/(?P<pk>\d+)/documents/(?P<document_pk>\d+)/edit/$', employee_documents_update, name='employee-documents-update'),
    url(r'^employees/(?P<pk>\d+)/documents/(?P<document_pk>\d+)/delete/$', employee_documents_delete, name='employee-documents-delete'),    url(r'^employees/(?P<pk>\d+)/services/$', employee_services, name='employee-services'),
    url(r'^employees/(?P<pk>\d+)/services/add/$', employee_services_add, name='employee-services-add'),
    url(r'^employees/(?P<pk>\d+)/services/(?P<document_pk>\d+)/edit/$', employee_services_update, name='employee-services-update'),
    url(r'^employees/(?P<pk>\d+)/services/(?P<document_pk>\d+)/delete/$', employee_services_delete, name='employee-services-delete'),
    url(r'^employees/(?P<pk>\d+)/payslips/$', employee_detail, name='employee-payslips'),
    url(r'^employees/(?P<pk>\d+)/vacations/$', employee_vacations, name='employee-vacations'),
    url(r'^employees/(?P<pk>\d+)/vacations/add/$', vacation_create, name='employee-vacations-add'),
    url(r'^employees/ajax/$', employee_ajax, name='employee-ajax'),
    url(r"^agents/$", agent_list, name="agent-list"),
    url(r"^agents/ajax/$", agent_ajax, name="agent-ajax"),
    url(r"^agents/(?P<pk>\d+)/$", agent_detail, name="agent-detail"),
    url(r"^agents/new/$", agent_create, name="agent-create"),
    url(r"^agents/(?P<pk>\d+)/edit/$", agent_update, name="agent-update"),
    url(r"^set_config$", set_config, name="set-config"),
    url(r"^tecnicos-ac/", TechnicianAutocomplete.as_view(), name="tecnicos-ac"),
    url(r"^workers/$", worker_list, name='worker-list'),
    url(r"^workers/ajax/$", workers_ajax, name='worker-ajax'),
    url(r"^workers/(?P<pk>\d+)/$", worker_detail, name='worker-detail'),
    url(r"^workers/(?P<pk>\d+)/edit/$", worker_update, name='worker-update'),
    url(r"^workers/new/$", worker_create, name ='worker-create'),
    url(r"^items/$", item_list, name='item-list'),
    url(r"^items/ajax/$",items_ajax, name='item-ajax'),
    url(r"^items/(?P<pk>\d+)/$", item_detail, name='item-detail'),
    url(r"^items/(?P<pk>\d+)/edit/$", item_update, name='item-update'),
    url(r"^items/(?P<pk>\d+)/delete/$", item_delete, name='item-delete'),
    url(r"^items/activate/$", activate_item, name='activate-item'),
    url(r"^items/new/$", item_create, name = 'item-create'),
    url(r"^receipts/$", receipt_list, name = 'receipt-list'),
    url(r"^receipts/ajax/$", receipts_ajax, name='receipt-ajax'),
    url(r"^receipts/(?P<pk>\d+)/$", receipt_detail, name='receipt-detail'),
    url(r"^receipts/(?P<pk>\d+)/delete/$", receipt_delete, name='receipt-delete'),
    url(r"^item_process/$", item_process, name='item-process'),
    url(r"^item_process/worker_ajax/$", workers_wizard_ajax, name='worker-wizard-ajax'),
    url(r"^item_process/receive_info/$", receive_info, name='receive-info'),
    url(r"^receipts/(?P<pk>\d+)/download_pdf/$", download_receipt_PDF, name ="download-receipt-pdf"),
]

matrix/hr/models.py
from dateutil.rrule import rrule, MONTHLY
from django.core.urlresolvers import reverse
from django.utils import timezone
from django.utils.translation import ugettext_lazy as _
from django.contrib.contenttypes.fields import GenericRelation
from django.db import models
from django.conf import settings
from django.contrib.postgres.fields import JSONField

from customers.models import BaseModel, Operator, Company, Currency

class MultiDbModel(BaseModel):
    class Meta:
        abstract = True

    def save(self, *args, **kwarg):
        for dbname in settings.DATABASES:
            super(MultiDbModel, self).save(using=dbname)


class Technician(BaseModel):
    name = models.CharField(_('name'), max_length=255)
    active = models.BooleanField(_('active'), default=True)

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = _('technician')
        verbose_name_plural = _('technicians')


class Skill(BaseModel):
    name = models.CharField(_('name'), max_length=255)
    description = models.TextField(_('description'))

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = _('skill')
        verbose_name_plural = _('skills')


class Availability(BaseModel):
    DAYS_OF_WEEK = ((0, 'domingo'),
                    (1, 'lunes'),
                    (2, 'martes'),
                    (3, 'miércoles'),
                    (4, 'jueves'),
                    (5, 'viernes'),
                    (6, 'sábado'))

    technician = models.ForeignKey(Technician, verbose_name=_('technician'))
    day = models.CharField(_('day'), max_length=1, choices=DAYS_OF_WEEK)
    start = models.TimeField(_('start'))
    end = models.TimeField(_('end'))

    class Meta:
        verbose_name = _('availability')
        verbose_name_plural = _('availabilities')
        unique_together = (('technician', 'day', 'start'),
                           ('technician', 'day', 'end'))


class Downtime(BaseModel):
    technician = models.ForeignKey(Technician, verbose_name=_('technician'))
    start = models.DateTimeField(_('start'))
    end = models.DateTimeField(_('end'))
    description = models.CharField(_('description'), max_length=255)

    class Meta:
        verbose_name = _('downtime')
        verbose_name_plural = _('downtimes')
        unique_together = (('technician', 'start'),
                           ('technician', 'end'))


### NEW WORLD
class Employee(BaseModel):
    PUBLIC = 1
    PRIVATE = 2
    HEALTH_CARE_CHOICES = ((PUBLIC, _('FONASA')),
                           (PRIVATE, _('Isapre')))

    OPTIC = 1
    BANDA_ANCHA = 2
    KPTIVE = 3
    COMPANY_CHOICES = ((OPTIC, 'Optic'),
                       (BANDA_ANCHA, 'Banda Ancha'),
                       (KPTIVE, 'Kptivemedia'))

    CALL_CENTER = 1
    OPERACIONES = 2
    SOPORTE_TECNICO = 3
    ADMINISTRACION_FINANZAS = 4
    VENTAS = 5
    ARICA = 6
    VINA_DEL_MAR = 7
    PROGRAMADORES = 8
    BODEGA = 9
    DEPARTMENT_CHOICES = ((CALL_CENTER, 'Call center'),
                          (OPERACIONES, 'Operaciones'),
                          (SOPORTE_TECNICO, 'Soporte Técnico'),
                          (ADMINISTRACION_FINANZAS, 'Administración - Finanzas'),
                          (VENTAS, 'Ventas'),
                          (ARICA, 'Arica'),
                          (VINA_DEL_MAR, 'Viña del Mar'),
                          (PROGRAMADORES, 'Programadores'),
                          (BODEGA, 'Bodega'))

    MALE = 1
    FEMALE = 2
    GENDER_CHOICES = ((MALE, _('male')),
                      (FEMALE, _('female')))
    
    VALID = 1
    SETTLED = 2

    STATUS_CHOICES = ((VALID, _('valid')),
                      (SETTLED, _('settled')))

    status = models.PositiveSmallIntegerField(_('status'), choices=STATUS_CHOICES, default=VALID)
    rut = models.CharField(_('rut'), max_length=13, unique=True)
    name = models.CharField(_('name'), max_length=255)
    address = models.CharField(_('address'), max_length=75)
    commune = models.CharField(_('commune'), max_length=30)
    health_care = models.PositiveSmallIntegerField(_('health care'), choices=HEALTH_CARE_CHOICES, default=PUBLIC)
    afp = models.CharField(_('AFP'), max_length=255)
    company = models.PositiveSmallIntegerField(_('company'), choices=COMPANY_CHOICES, default=OPTIC)
    department = models.PositiveSmallIntegerField(_('department'), choices=DEPARTMENT_CHOICES, default=CALL_CENTER)
    gender = models.PositiveSmallIntegerField(_('gender'), choices=GENDER_CHOICES, default=MALE)
    service_date = models.DateField(_('service date'))
    base_salary = models.PositiveIntegerField(_('base salary'))
    transportation_bonus = models.PositiveIntegerField(_('transportation bonus'), blank=True, default=0)
    food_bonus = models.PositiveIntegerField(_('food bonus'), blank=True, default=0)
    productivity_bonus = models.PositiveIntegerField(_('productivity bonus'), blank=True, default=0)
    other_bonuses = models.PositiveIntegerField(_('other bonuses'), blank=True, default=0)
    service_notes = models.TextField(_('service notes'), blank=True)
    documents = GenericRelation('documents.Document')
    operator = models.ForeignKey("customers.Operator", default=2, verbose_name=_("operator"))

    @property
    def vacation_days_earned(self):
        if self.service_date.day > 28:
            start_date = self.service_date - timezone.timedelta(days=3)
        else:
            start_date = self.service_date
        end_date = timezone.now().date()

        dates = [date for date in rrule(MONTHLY, dtstart=start_date, until=end_date)]
        return (len(dates)-1) * 1.25

    @property
    def vacation_days_used(self):
        return sum(map(lambda v: v.days, self.vacation_set.all()))

    @property
    def vacation_days_balance(self):
        return self.vacation_days_earned - self.vacation_days_used

    def get_absolute_url(self):
        return reverse('employee-detail', kwargs={'pk': self.pk})

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = _('employee')
        verbose_name_plural = _('employees')


class Vacation(BaseModel):
    employee = models.ForeignKey(Employee, verbose_name=_('employee'))
    start_date = models.DateField(_('start date'))
    end_date = models.DateField(_('end date'))
    notes = models.TextField(_('notes'), blank=True)

    @property
    def days(self):
        return (self.end_date - self.start_date).days + 1

    class Meta:
        verbose_name = _('vacation')
        verbose_name_plural = _('vacations')


class Agent(MultiDbModel):
    user = models.ForeignKey('auth.User', verbose_name=_('User'))
    voip_extension = models.CharField(_('Extension'), max_length=10)

    def __str__(self):
        return ' - '.join([' '.join([self.user.first_name, self.user.last_name]), self.voip_extension])

    class Meta:
        ordering = ['-pk']
        permissions = (('view_agent', 'Can view agents'),
                       ('list_agent', 'Can list agents'))

class Worker(BaseModel):

    FEMALE = 1
    MALE = 2
    OTHER = 3
    GENDER_CHOICES = ((FEMALE, _("F")), 
                      (MALE, _("M")), 
                      (OTHER, _("O")))

    CEDULA = 1
    CARNET = 2
    PASAPORTE = 3
    LICENCIA_CONDUCIR = 4
    DOCUMENT_CHOICES = ((CEDULA, _("Cédula")),
                        (CARNET, _("Carnet")),
                        (PASAPORTE, _("Pasaporte")),
                        (LICENCIA_CONDUCIR, _("Licencia de conducir")))

    CEO = 1
    LEADER = 2
    SENIOR = 3
    JUNIOR = 4
    INTERN = 5
    POSITION_CHOICES = ((CEO, _("CEO")),
                        (LEADER, _("Leader")),
                        (SENIOR, _("Senior")),
                        (JUNIOR, _("Junior")),
                        (INTERN, _("Intern"))) 

    PROGRAMACION = 1
    MARKETING = 2
    QA = 3
    FINANZAS = 4
    RECURSOS_HUMANOS = 5
    DEPARTMENT_CHOICES = ((PROGRAMACION, _("Programación")),
                          (MARKETING, _("Marketing")),
                          (QA, _("QA")),
                          (FINANZAS, _("Finanzas")),
                          (RECURSOS_HUMANOS, _("Recursos Humanos")))

    first_name = models.CharField(_("first_name"), max_length=255, null = True)
    last_name = models.CharField(_("last_name"), max_length = 255, null = True)
    gender = models.PositiveIntegerField(_("gender"), choices=GENDER_CHOICES, null=True)
    address = models.CharField(_('address'), max_length=255, null = True)
    phone = models.CharField(_("phone"), max_length=75, default = '')
    email = models.EmailField(_("email"), default = '')
    base_salary = models.PositiveIntegerField(_('base_salary'), null = True, blank = True)
    entry_date = models.DateTimeField(_("entry_date"), null=True, blank=True)
    document_type = models.PositiveIntegerField(_("document_type"), choices=DOCUMENT_CHOICES, null=True)
    document_number = models.CharField(_('document_number'), max_length=255, null = True)
    job_position = models.PositiveIntegerField(_("job_type"), choices=POSITION_CHOICES, null=True)
    job_department = models.PositiveIntegerField(_("job_department"), choices=DEPARTMENT_CHOICES, null=True)
    active = models.BooleanField(_("active"), default=True)
    company = models.ForeignKey("customers.Company", default=1, verbose_name=_("company"))
    currency = models.ForeignKey("customers.Currency", verbose_name=_("currency"), default = 1)
    flag = JSONField(_("Flag"), default = "{}", blank=False)

    @property
    def name(self):
        if self.first_name and self.last_name:
            complete_name = self.first_name + ' ' + self.last_name
        elif self.first_name:
            complete_name = self.first_name
        elif self.last_name:
            complete_name = self.last_name
        else:
            complete_name = ''
        return complete_name

    def get_absolute_url(self):
        return reverse("worker-detail", kwargs={"pk": self.pk})

    def __str__(self):

matrix/hr/templates/hr/worker_create.html
{% extends "customers/base.html" %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Nuevo cliente{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'worker-list' %}">Trabajadores</a></li>
    <li class="breadcrumb-item active">Nuevo</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Nuevo <small>trabajador</small></h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Nuevo Trabajador</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>

          <form id="worker-form" class="form-horizontal" method="post">
            {% csrf_token %}
            {{ form.media }}
            <div class="tab-content">
              <div id="general" role="tabpanel" class="tab-pane active">
                <div class="form-group row m-b-15">
                  <label for="id_firs_name" class="col-form-label col-md-3">Nombre</label>
                  <div class="col-sm-9">
                    {% render_field form.first_name class="form-control m-b-5" %}
                    {% for error in form.first_name.errors %}
                     <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group row m-b-15">
                    <label for="id_last_name" class="col-form-label col-md-3">Apellido</label>
                    <div class="col-sm-9">
                      {% render_field form.last_name class="form-control m-b-5" %}
                      {% for error in form.last_name.errors %}
                       <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                </div>
                <div class="form-group row m-b-15">
                    <label for="id_gender" class="col-form-label col-md-3">Género</label>
                    <div class="col-sm-9">
                      {% render_field form.gender class="form-control m-b-5" %}
                      {% for error in form.gender.errors %}
                       <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                </div>
                <div class="form-group row m-b-15">
                    <label for="id_address" class="col-form-label col-md-3">Dirección</label>
                    <div class="col-sm-9">
                      {% render_field form.address class="form-control m-b-5" %}
                      {% for error in form.address.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_phone" class="col-form-label col-md-3">Teléfono</label>
                    <div class="col-sm-9">
                      {% render_field form.phone class="form-control m-b-5" %}
                      {% for error in form.phone.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_email" class="col-form-label col-md-3">Correo</label>
                    <div class="col-sm-9">
                      {% render_field form.email class="form-control m-b-5" %}
                      {% for error in form.email.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_base_salary" class="col-form-label col-md-3">Salario</label>
                    <div class="col-sm-9">
                      {% render_field form.base_salary class="form-control m-b-5" %}
                      {% for error in form.base_salary.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_currency" class="col-form-label col-md-3">Moneda</label>
                    <div class="col-sm-9">
                      {% render_field form.currency class="form-control m-b-5" %}
                      {% for error in form.currency.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_entry_date" class="col-form-label col-md-3">Fecha de Ingreso</label>
                    <div class="col-sm-9">
                      {% render_field form.entry_date class="form-control datepicker" %}
                      {% for error in form.entry_date.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_document_type" class="col-form-label col-md-3">Tipo de Documento</label>
                    <div class="col-sm-9">
                      {% render_field form.document_type class="form-control m-b-5" %}
                      {% for error in form.document_type.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_documemnt_number" class="col-form-label col-md-3">Numero de Documento</label>
                    <div class="col-sm-9">
                      {% render_field form.document_number class="form-control m-b-5" %}
                      {% for error in form.document_number.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_position" class="col-form-label col-md-3">Posición</label>
                    <div class="col-sm-9">
                      {% render_field form.job_position class="form-control m-b-5" %}
                      {% for error in form.job_position.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_department" class="col-form-label col-md-3">Departamento</label>
                    <div class="col-sm-9">
                      {% render_field form.job_department class="form-control m-b-5" %}
                      {% for error in form.job_department.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_active" class="col-sm-3 control-label">Activo</label>
                    <div class="col-sm-9">
                      {% render_field form.active %}
                      {% for error in form.active.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_company" class="col-form-label col-md-3">Empresa</label>
                    <div class="col-sm-9">
                      {% render_field form.company class="form-control m-b-5" %}
                      {% for error in form.company.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
          <!-- Shipping tab -->
                      </div>
                    </div>
                  </form>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->

{% endblock %}


{% block pageleveljs %}
  <script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
  <script type="text/javascript">
    $(document).ready(function(){
	    $(".datepicker").datepicker({format: 'dd/mm/yyyy'})
      // save and cancel buttons
	$('#save-button').click(function() {
	    $('#worker-form').submit();
	});
	$('#cancel-button').click(function() {
	    window.location.href = '../';
	});
    });
    </script>
{% endblock %}